
using System.Security.Cryptography;

public class SessionId
{
	private static readonly RandomNumberGenerator randgen = new RNGCryptoServiceProvider();
	private static readonly char[] s_encoding = new char[] { 
																	'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 
																	'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5'
																};
	
	public static string Create()
	{
		byte[] data = new byte[15];
		randgen.GetBytes(data);
		return Encode(data);
	}
		
	private static string Encode(byte[] buffer)
	{
		char[] chArray = new char[0x18];
		int num2 = 0;
		for (int i = 0; i < 15; i += 5)
		{
			int num4 = ((buffer[i] | (buffer[i + 1] << 8)) | (buffer[i + 2] << 0x10)) | (buffer[i + 3] << 0x18);
			int index = num4 & 0x1f;
			chArray[num2++] = s_encoding[index];
			index = (num4 >> 5) & 0x1f;
			chArray[num2++] = s_encoding[index];
			index = (num4 >> 10) & 0x1f;
			chArray[num2++] = s_encoding[index];
			index = (num4 >> 15) & 0x1f;
			chArray[num2++] = s_encoding[index];
			index = (num4 >> 20) & 0x1f;
			chArray[num2++] = s_encoding[index];
			index = (num4 >> 0x19) & 0x1f;
			chArray[num2++] = s_encoding[index];
			num4 = (num4 >> 30) | (buffer[i + 4] << 2);
			index = num4 & 0x1f;
			chArray[num2++] = s_encoding[index];
			index = (num4 >> 5) & 0x1f;
			chArray[num2++] = s_encoding[index];
		}
		return new string(chArray);
	}		
}